Subject: Re: mysqlc (was RE: php-mysql-cygwin how to)
From: "Gerrit P. Haase" <[email-masked]>
To: Elfyn McBratney <[email-masked]>
Date: Tue, 8 Jul 2003 12:46:33 +0200

Hello Elfyn,

>> I'm not so worried about the server to be honest... It's only the
>> readline-based client that uses that nasty B19 dll which is what I want to
>> get rid of cleanly.

>> Although having said that, I don't think MySQL 4.1 Alpha ships with the
>> dodgy dll -- not sure what they've done, haven't investigated it properly
>> yet.

Weird, it should really be compiled and included with the netrelease.

>>> All it needs is a straight
>>>
>>>   ./configure --without-server --prefix=/usr
>>>   make; make install
>>
>> Wicked, will give that a go.

> I decided to drop what I'm working on and play with MySQL this afternoon ;-)

> If all goes well and I can get everything par the server working I'll see if
> it/they (client and libs) would be accepted as packages..then tackle the server.

The server will build fine and I was also able to run the tests, but
most of the time all tests are failing, but sometimes one or another
succeeds.  Please relibtoolize before configuring, else there will be no
shared libraries.

I can send you my patches this evening (for the 4.1.0-alpha version).

The server:

Well, you should play with the server using cygwin-1.5!  1.3.22 is
broken (in the relevant socket part), like it is a mess with apache too.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/